/*
*********************************************************************************************************
*
*                                         BOARD SUPPORT PACKAGE
*
*                                              Renesas RX62N
*                                                on the
*                                      RSK-2+RX62N Evaluation Board
*
*                                 (c) Copyright 2010, Micrium, Weston, FL
*                                          All Rights Reserved
*
* Filename      : bsp.h
* Version       : V1.00
* Programmer(s) : FGK
*********************************************************************************************************
*/

#ifndef  BSP_H_
#define  BSP_H_

/*
*********************************************************************************************************
*                                               DEFINES
*********************************************************************************************************
*/

#define  BSP_CPU_EXT_CLK_FREQ    12000000uL

/*
*********************************************************************************************************
*                                         FUNCTION PROTOTYPES
*********************************************************************************************************
*/

void        BSP_Init          (void);
CPU_INT32U  BSP_CPU_PerClkFreq(void);

/*
*********************************************************************************************************
*                                            RIIC SERVICES
*********************************************************************************************************
*/

void        BSP_RIIC0_Init    (void);
void        BSP_RIIC0_MasterRd(CPU_INT08U   addr,
                               CPU_INT08U  *p_data,
                               CPU_SIZE_T   len,
                               CPU_BOOLEAN  start);
void        BSP_RIIC0_MasterWr(CPU_INT08U   addr,
                               CPU_INT08U  *p_data,
                               CPU_SIZE_T   len,
                               CPU_BOOLEAN  stop);

/*
*********************************************************************************************************
*                                            LED SERVICES
*********************************************************************************************************
*/

void        LED_On            (CPU_INT08U  led);
void        LED_Off           (CPU_INT08U  led);
void        LED_Toggle        (CPU_INT08U  led);

#endif
